Browse Source

Always enable DataDirectory, requires dpatch

svn:r1222
Peter Palfrader 20 years ago
parent
commit
ee3ed492ee
4 changed files with 46 additions and 2 deletions
  1. 3 1
      debian/changelog
  2. 1 0
      debian/patches/00list
  3. 37 0
      debian/patches/01_uncomment_datadirectory.dpatch
  4. 5 1
      debian/rules

+ 3 - 1
debian/changelog

@@ -3,8 +3,10 @@ tor (0.0.1+0.0.2pre24-1) unstable; urgency=low
   * New upstream release.
   * Do not strip binaries for now.
   * Add "# ulimit -c unlimited" to tor.default
+  * Always enable DataDirectory.
+  * Actually use dpatch now (to modify upstream torrc.in)
 
- -- Peter Palfrader <weasel@debian.org>  Wed,  3 Mar 2004 13:33:19 +0100
+ -- Peter Palfrader <weasel@debian.org>  Wed,  3 Mar 2004 13:48:09 +0100
 
 tor (0.0.1+0.0.2pre23-1) unstable; urgency=low
 

+ 1 - 0
debian/patches/00list

@@ -0,0 +1 @@
+01_uncomment_datadirectory.dpatch

+ 37 - 0
debian/patches/01_uncomment_datadirectory.dpatch

@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 01_uncomment_datadirectory.dpatch by  <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/weasel/projects/tor/cvs/src/config/torrc.in cvs/src/config/torrc.in
+--- /home/weasel/projects/tor/cvs/src/config/torrc.in	2004-03-01 23:41:26.000000000 +0100
++++ cvs/src/config/torrc.in	2004-03-03 13:47:25.000000000 +0100
+@@ -11,7 +11,7 @@
+ ##################### Below is just for servers #####################
+ 
+ ## The directory for keeping all the keys/etc for this server
+-#DataDirectory @LOCALSTATEDIR@/lib/tor
++DataDirectory @LOCALSTATEDIR@/lib/tor
+ 
+ #Nickname moria # A unique handle for this server
+ #Address moria.seul.org # The fqdn for this server

+ 5 - 1
debian/rules

@@ -13,6 +13,9 @@ DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 CFLAGS = -Wall -g
 
+export PACKAGE=tor
+include /usr/share/dpatch/dpatch.make
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -22,6 +25,7 @@ endif
 #	INSTALL_PROGRAM += -s
 #endif
 
+configure: patch-stamp
 config.status: configure
 	dh_testdir
 	CFLAGS="$(CFLAGS)" ./configure \
@@ -47,7 +51,7 @@ build-stamp:  config.status
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp